<template>
  <div id="app">
        <link rel="stylesheet" 
        href="node_modules/@fortawesome/fontawesome-free/css/all.css">
    <div id="navBar">
      <div id="theCoop"> Coop </div>
      <div v-if="memberIsConnected()">
        <router-link to="/">Channels </router-link> |
        <router-link to="/members">Members </router-link>
      </div>
      <div v-else>
        <router-link to="/connexion">Connexion</router-link> |
        <router-link to="/createAccount"> Create An Account</router-link>
      </div>
    </div>
      <router-view/>
  </div>

</template>

<script>
  export default {
    name : "App",
    data(){
      return {
        applicationReady : false,
      }
    },

    mounted (){
      if(!this.memberIsConnected()){
        this.$router.push("/connexion");
      }

      window.axios.get('ping').then((response) =>{
        this.applicationReady = true;
      }).catch((error)=>{
        this.applicationReady = false;
        alert("App not ready :" +error.message);

      });


    }
  }
</script>

<style lang="scss">


#app {
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background-color: #2A2634;
  height : 90.5%
}

$coloFontNavBar : rgb(165, 160, 187);
#navBar {
  padding: 20px 30px;
  display : flex;
  align-items: center;
  background-color: rgb(31, 31, 36);
  color : $coloFontNavBar;
  height : 5%;
  z-index: 5;
  font-weight: bold;
   box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);

}

#navBar a {
  text-decoration: none;
  color : $coloFontNavBar;

}

// #nav a.router-link-exact-active {
//   color: #42b983;
// }

#theCoop{
  font-size: 40px;
  margin-right : 20px;
}

body, html {
  margin : 0;
  background-color: #302637;
  height: 100%
}
</style>
